Package: groovy.org.codenarc.rule.naming

## [Groovy] Class AbstractTypeNameAstVisitor

- groovy.org.codenarc.rule.naming.AbstractTypeNameAstVisitor

- Abstract superclass for AstVisitor classes dealing with class/type names, e.g. classes, interfaces and abstract classes.

  Authors:
    Chris Mair
    Hamlet D'Arcy

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected boolean` | `shouldVisit(org.codehaus.groovy.ast.ClassNode classNode)` @return true only if this visitor should be applied to (visit) the specified ClassNode.
    `` | `void` | `visitClassEx(org.codehaus.groovy.ast.ClassNode classNode)`

- - ### Method Detail

    - #### protected boolean shouldVisit(org.codehaus.groovy.ast.ClassNode classNode)

      Returns:
        true only if this visitor should be applied to (visit) the specified ClassNode.

    - #### void visitClassEx(org.codehaus.groovy.ast.ClassNode classNode)